<?php

namespace Slovocast\Infrastructure;

use PDO;
use Slovocast\Infrastructure\DatabaseConnectionInterface;

/**
 * Represents an active connection to a database
 */
class DatabaseConnection implements DatabaseConnectionInterface
{
    public function __construct(
        private string $name, 
        private PDO $pdo
    ) { }

    public function getConnection(): PDO
    {
        return $this->pdo;
    }

    public function getName(): string
    {
        return $this->name;
    }
}
